<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:variable name="YourNameSpace" select="'ITravelSystem'"/>
  <xsl:template match="/">
&lt;?xml version="1.0" encoding="utf-8"?&gt;
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{8605F925-D92A-4C6E-AECE-F1C0522DB508}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace><xsl:value-of select="$YourNameSpace"/>.Web</RootNamespace>
    <AssemblyName><xsl:value-of select="$YourNameSpace"/>.Web</AssemblyName>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
    <UseIISExpress>false</UseIISExpress>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AspNetPager, Version=7.4.2.0, Culture=neutral, PublicKeyToken=fb0a0fe055d40fd4, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\AspNetPager.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="System.Web.Mobile" />
  </ItemGroup>
  <ItemGroup>    
    <Content Include="Contrl\Footer.ascx" />
    <Content Include="Contrl\Header.ascx" />
    <Content Include="Default.aspx" />
    <Content Include="Scripts\jquery-1.4.1-vsdoc.js" />
    <Content Include="Scripts\jquery-1.4.1.js" />
    <Content Include="Scripts\jquery-1.4.1.min.js" />
    <Content Include="Web.config" /> 
	<Content Include="index.html" /> 
	<Content Include="menu.html" /> 
	<Content Include="welcome.html" />   
	<xsl:for-each select="MengmaCodeHelper/Server/Database/Table">
	  &lt;Content Include="<xsl:value-of select="@Class"/>Form.aspx" /&gt;
      &lt;Content Include="<xsl:value-of select="@Class"/>Del.aspx" /&gt;
      &lt;Content Include="<xsl:value-of select="@Class"/>List.aspx" /&gt;
      &lt;Content Include="<xsl:value-of select="@Class"/>Read.aspx" /&gt;
	</xsl:for-each>     
  </ItemGroup>
  <ItemGroup>    
    <Compile Include="Contrl\Footer.ascx.cs">
      <DependentUpon>Footer.ascx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Contrl\Footer.ascx.designer.cs">
      <DependentUpon>Footer.ascx</DependentUpon>
    </Compile>
    <Compile Include="Contrl\Header.ascx.cs">
      <DependentUpon>Header.ascx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Contrl\Header.ascx.designer.cs">
      <DependentUpon>Header.ascx</DependentUpon>
    </Compile>
    <Compile Include="Default.aspx.cs">
      <SubType>ASPXCodeBehind</SubType>
      <DependentUpon>Default.aspx</DependentUpon>
    </Compile>
    <Compile Include="Default.aspx.designer.cs">
      <DependentUpon>Default.aspx</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
     <xsl:for-each select="MengmaCodeHelper/Server/Database/Table">  
		&lt;Compile Include="<xsl:value-of select="@Class"/>Form.aspx.cs"&gt;
		&lt;DependentUpon&gt;<xsl:value-of select="@Class"/>Form.aspx&lt;/DependentUpon&gt;
		<SubType>ASPXCodeBehind</SubType>
		&lt;/Compile&gt;
		&lt;Compile Include="<xsl:value-of select="@Class"/>Form.aspx.designer.cs"&gt;
		&lt;DependentUpon&gt;<xsl:value-of select="@Class"/>Form.aspx&lt;/DependentUpon&gt;
		&lt;/Compile&gt;
    &lt;Compile Include="<xsl:value-of select="@Class"/>List.aspx.cs"&gt;
    &lt;DependentUpon&gt;<xsl:value-of select="@Class"/>List.aspx&lt;/DependentUpon&gt;
    <SubType>ASPXCodeBehind</SubType>
    &lt;/Compile&gt;
    &lt;Compile Include="<xsl:value-of select="@Class"/>List.aspx.designer.cs"&gt;
    &lt;DependentUpon&gt;<xsl:value-of select="@Class"/>List.aspx&lt;/DependentUpon&gt;
    &lt;/Compile&gt;
    &lt;Compile Include="<xsl:value-of select="@Class"/>Read.aspx.cs"&gt;
    &lt;DependentUpon&gt;<xsl:value-of select="@Class"/>Read.aspx&lt;/DependentUpon&gt;
    <SubType>ASPXCodeBehind</SubType>
    &lt;/Compile&gt;
    &lt;Compile Include="<xsl:value-of select="@Class"/>Read.aspx.designer.cs"&gt;
    &lt;DependentUpon&gt;<xsl:value-of select="@Class"/>Read.aspx&lt;/DependentUpon&gt;
    &lt;/Compile&gt;
    &lt;Compile Include="<xsl:value-of select="@Class"/>Del.aspx.cs"&gt;
    &lt;DependentUpon&gt;<xsl:value-of select="@Class"/>Del.aspx&lt;/DependentUpon&gt;
    <SubType>ASPXCodeBehind</SubType>
    &lt;/Compile&gt;
    &lt;Compile Include="<xsl:value-of select="@Class"/>Del.aspx.designer.cs"&gt;
    &lt;DependentUpon&gt;<xsl:value-of select="@Class"/>Del.aspx&lt;/DependentUpon&gt;
    &lt;/Compile&gt;
	</xsl:for-each>
       
  </ItemGroup>
  <ItemGroup>
    <Folder Include="App_Data\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\BLL\BLL.csproj">
      <Project>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Project>
      <Name><xsl:value-of select="$YourNameSpace"/>.BLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\MODEL\MODEL.csproj">
      <Project>{7F0B0237-D512-4728-B080-DCAD6EAB742A}</Project>
      <Name><xsl:value-of select="$YourNameSpace"/>.MODEL</Name>
    </ProjectReference>
  </ItemGroup>
  <xsl:text disable-output-escaping="yes"><![CDATA[  
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" />
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>False</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>50635</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>
          </IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
 ]]></xsl:text>
</Project>
  </xsl:template>
</xsl:stylesheet>